For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList agents
      • POSTCreate agent
      • POSTFetch external agent card
      • GETGet agent details
      • PUTUpdate agent
      • DELDelete agent
      • STREAMResolve a pending agent tool approval
      • POSTAdd capability to agent
      • DELRemove capability from agent
      • STREAMExecute agent
      • GETList agent executions
      • GETGet execution detail
      • GETList tool calls
      • GETGet tool call detail
      • GETExport agent for runtime
      • POSTPublish agent
      • POSTRefresh cached agent card
      • STREAMResume a paused agent execution
      • POSTExecute agent voice (text-to-speech)
Dashboard
LogoLogo
Runtype APIAgents

Execute agent voice (text-to-speech)

POST
/v1/agents/:id/voice
POST
/v1/agents/:id/voice
$curl -X POST https://api.runtype.com/v1/agents/id/voice \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "modelId": "eleven_multilingual_v2",
> "text": "Hello, how can I help you today?",
> "voiceId": "rachel"
>}'
1{
2 "success": true,
3 "audioBase64": "string",
4 "audioUrl": "string",
5 "duration": 1.1,
6 "modelId": "string",
7 "voiceId": "string"
8}

Generate speech audio for the given text using the agent voice configuration (ElevenLabs TTS).

Was this page helpful?
Previous

Get record results

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects a map from strings to any.

Response

Generated audio result
successboolean
audioBase64string
audioUrlstring
durationdouble
modelIdstring
voiceIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error